Topic: Autoviewer for FlashMX2004

Is it possible to purchase a older version of autoviewer compatible with my Flash MX2004?

Great viewers by the way, Simplviewer and autoviewer always work for me.